<?php
require_once('../clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', '../clases/xajax/');
$xajax->setCharEncoding("ISO-8859-1");

function xExportar($varForm) {
	$obj = new clsCXP_Modificar_Pagos($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varEmp = (isset($varForm["ecod"]) && $varForm["ecod"]<>'')? $varForm["ecod"]:"NULL";
	$varPro = (isset($varForm["pcod"]) && $varForm["pcod"]<>'')? $varForm["pcod"]:"NULL";
	$varTip = (isset($varForm["tcod"]) && $varForm["tcod"]<>'')? $varForm["tcod"]:"NULL";
	$varIni = (isset($varForm["fini"]) && $varForm["fini"]<>'')? "'".FechaMySql($varForm["fini"])."'":"NULL";
	$varFin = (isset($varForm["ffin"]) && $varForm["ffin"]<>'')? "'".FechaMySql($varForm["ffin"])."'":"NULL";
	
	$sql = "call spQuery_Cuentas_Pagar($varEmp, $varPro,  $varTip, $varIni, $varFin, NULL, NULL);";
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = $obj->varTitulo;	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("../export.php?page=$varTitulo");
    return $objResponse;
	}

function xBuscar($varForm, $varField, $varOrder) {
	$var = VarServer("MYSQLI");
	$obj = new clsCXP_Modificar_Pagos($var[0],$var[1],$var[2],$var[3],$var[4]);	
		
	$varTabla = $obj->GridDatos($varForm, $varField, $varOrder);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", $varTabla);
	return $respuestaXajax;
	}

function xFormuPago($varCod) {
	$var = VarServer("MYSQLI");
	$obj = new clsCXP_Modificar_Pagos($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla = $obj->FormuPago($varCod);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "innerHTML", $varTabla);
	return $respuestaXajax;
	}

function xRegresar() {
	$var = VarServer("MYSQLI");
	$obj = new clsCXP_Modificar_Pagos($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla.= $obj->FormuBusqueda();
	$varTabla.= "<div id=\"divDatos\">";
	//$varTabla.= $obj->GridDatos();		
	$varTabla.= "</div>";
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "innerHTML", $varTabla);
	return $respuestaXajax;
	}
function xGrabar($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsCXP_Modificar_Pagos($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varResul = $obj->ProcesoGrabar($varForm);
	$respuestaXajax = new xajaxResponse();
	if ($varResul=="OK") {
		$varTabla.= $obj->FormuBusqueda();
		$varTabla.= "<div id=\"divDatos\">";
		//$varTabla.= $obj->GridDatos();		
		$varTabla.= "</div>";
		$respuestaXajax = new xajaxResponse();
		$respuestaXajax->assign("divForm", "innerHTML", $varTabla);
		}
	else
		$respuestaXajax->alert("ERROR AL PROCESAR DATOS...!!!!!\n====================================\n".$varResul."\nVERIFIQUE LOS DATOS POR FAVOR");
		
	return $respuestaXajax;
	}

$xajax->register(XAJAX_FUNCTION, 'seleccionar_empresa');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_proveedor');

$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xFormuRegistro');
$xajax->register(XAJAX_FUNCTION, 'xRegresar');
$xajax->register(XAJAX_FUNCTION, 'xGrabar');
$xajax->register(XAJAX_FUNCTION, 'xEliminar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');

$xajax->processRequest();
$xajax->printJavascript("../clases/xajax");

?>
<script language="javascript">		
	function xBuscarJS(varField, varOrder) {
		if (xajax.$("ecod").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA OBLIGATORIAMENTE");  
			xajax.$("ecod").focus();
			return (false); 
			}
		else if (xajax.$("pcod").value=="" && xajax.$("fini").value=="" &&  xajax.$("ffin").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE UTILIZAR AL MENOS UN PARAMETRO DE BUSQUEDA");  
			xajax.$("ccod").focus();
			return (false); 
			}
		else {
			xajax_xBuscar(xajax.getFormValues('form'), varField, varOrder);		
			}
		}

	function xExportarJS() {
		if (xajax.$("ecod").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA OBLIGATORIAMENTE");  
			xajax.$("ecod").focus();
			return (false); 
			}
		else if (xajax.$("pcod").value=="" && xajax.$("fini").value=="" &&  xajax.$("ffin").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE UTILIZAR AL MENOS UN PARAMETRO DE BUSQUEDA");  
			xajax.$("ccod").focus();
			return (false); 
			}
		else {
			xajax_xExportar(xajax.getFormValues('form'));
			}		
		}
	
	function xImprimirJS() {
		var varEmp = xajax.$("ecod").value;
		var varPro = xajax.$("pcod").value;
		var varIni = xajax.$("fini").value;
		var varFin = xajax.$("ffin").value;
		
		if (xajax.$("ecod").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA OBLIGATORIAMENTE");  
			xajax.$("ecod").focus();
			return (false); 
			}
		else if (xajax.$("pcod").value=="" && xajax.$("fini").value=="" &&  xajax.$("ffin").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE UTILIZAR AL MENOS UN PARAMETRO DE BUSQUEDA");  
			xajax.$("ccod").focus();
			return (false); 
			}
		else {
			var Ruta = 'print/print_cxp_cuentas_x_pagar.php?ecod='+varEmp+'&pcod='+varPro+'&tcod='+varTip+'&fini='+varIni+'&ffin='+varFin;
			testwindow= window.open (Ruta, "print_cxp_cuentas_x_pagar", "location=no,status=no,toolbar=no,scrollbars=1,width=900,height=500");
			}		
		}
		
	function xGrabarJS() {
		var varPatronFec = "^([0-9]{2})/([0-9]{2})/([0-9]{4})$";
		var expreg = new RegExp (varPatronFec);	
	
		if (xajax.$("tipo") && xajax.$("tipo").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UN TIPO DE DOCUMENTO DE PAGO");  
			xajax.$("tipo").focus();
			return (false); 
			}
		else if (xajax.$("txtnum") && xajax.$("txtnum").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR UN NUMERO DE DOCUMENTO DE PAGO");  
			xajax.$("txtnum").focus();
			return (false); 
			}
		else if (expreg.test(xajax.$("femi").value)==false) {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA VALIDA");
			xajax.$("femi").focus()
			return (false); 
			}
		else if (FechaEsMayor(xajax.$("txtemi").value, xajax.$("femi").value)){	
			alert("ERROR AL PROCESAR DATOS...!!!!!\nLA FECHA DE PAGO NO PUEDE SER MENOR A LA FECHA DE EMISION DEL DOCUMENTO");
			xajax.$("femi").focus()
			return (false);
			}
		else if (xajax.$("txtpago") && xajax.$("txtpago").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE INGRESAR UN MONTO VALIDO");
			xajax.$("txtpago").focus()
			return (false); 
			}	
		else if (parseFloat(xajax.$("txtpago").value) > parseFloat(xajax.$("txtsal").value)) { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nEL MONTO A PAGAR ("+xajax.$("txtpago").value+") NO PUEDE SER MAYOR AL MONTO DEL SALDO ("+xajax.$("txtsal").value+")");
			xajax.$("txtpago").focus()
			return (false); 
			}
		else {
			if (confirm("¿DESE REGISTRAR EL PAGO?")) {
				xajax_xGrabar(xajax.getFormValues('form'));		
				}
			}
		}
	function FormuRegistroJS(varCod, varOpt) {
		UnTip();
		xajax_xFormuRegistro(varCod, varOpt);		
		}
</script>
<?php	
	
function MyTable($obj, $Titulo, $Opcion, $Valor) {
	if(!isset($Opcion)) {
		echo "<div id=\"divForm\">";
		echo $obj->FormuBusqueda();
		echo "<div id=\"divDatos\">";
		//echo $obj->GridDatos();		
		echo "</div>";
		echo "</div>";
		}
if(!isset($Opcion)) {
	$varFINI = (isset($_POST["eini"]))?$_POST["eini"]:NULL;
	$varFFIN = (isset($_POST["efin"]))?$_POST["efin"]:NULL;
	$varCCOD = (isset($_POST["ccod"]))?$_POST["ccod"]:NULL;
	$varCNOM = (isset($_POST["cnom"]))?$_POST["cnom"]:NULL;
	$varTabla=array("id"=>"tabla", "name"=>"table", "tamano"=>"420", "clase"=>"Formtitulo", "titulo"=>$Titulo." - BUSQUEDA",
					"formu"=>array("id"=>"form", "name"=>"form", "metodo"=>"POST"),						
					"ocult"=>array(array("tipo"=>"oculto", "id"=>"titu", "name"=>"titu", "valor"=>$Titulo),
								   array("tipo"=>"oculto", "id"=>"opt", "name"=>"opt", "valor"=>$Opcion)
								  ),
					"conte"=>array(array("titulo"=>"Cliente :", "clase1"=>"FormCampo1", "clase2"=>"interior",
										 "campo"=>array("tipo"=>"varios",
														"contenido"=>array(array("tipo"=>"text", "id"=>"ccod", "name"=>"ccod", "valor"=>$_POST[ccod], "ancho"=>"50", 
																				 "alinear"=>"center", "blur"=>"select_Cliente('ccod', 'cnom')", 
																				 "dclick"=>"cargarCliente('ccod', 'cnom')"),
																		   array("tipo"=>"text", "id"=>"cnom", "name"=>"cnom", "valor"=>$_POST[cnom], "ancho"=>"200")
																		   )
													 )
										 ),							  
								   array("titulo"=>"Fecha Incial :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
										 "campo"=>array("tipo"=>"fecha", "id"=>"eini", "name"=>"eini", "alinear"=>"center", "valor"=>$_POST[eini]) ),
								   array("titulo"=>"Fecha Final :", "clase1"=>"FormCampo1", "clase2"=>"interior", 
										 "campo"=>array("tipo"=>"fecha", "id"=>"efin", "name"=>"efin", "alinear"=>"center", "valor"=>$_POST[efin]) )									   
								   ),
					"boton"=>array(array("tipo"=>"submit", "id"=>"bcon", "name"=>"bcon", "ancho"=>"80", "alto"=>"22", "texto"=>"Consultar"),			  
								   array("tipo"=>"submit", "id"=>"bexp", "name"=>"bexp", "ancho"=>"80", "alto"=>"22", "texto"=>"Exportar")
								   )
					);
	echo $obj->setTablaForm($varTabla);
	if(isset($_POST["bcon"])) {
		$varFIni = ($_POST["eini"]=="") ? "NULL" : "'".FechaMySql($_POST["eini"])."'";
		$varFFin = ($_POST["efin"]=="") ? "NULL" : "'".FechaMySql($_POST["efin"])."'";		
		$sql = "call spQuery_Pagos_CxC('$_POST[ccod]', $varFIni, $varFFin)";
		
		$rs_cab = array(array("Tamano"=>10, "Titulo"=>"CPAG", "Alinear"=>"center"),
						array("Tamano"=>10, "Titulo"=>"CCLI", "Alinear"=>"center"),
						array("Tamano"=>250,"Titulo"=>"CLIENTE"),
						array("Tamano"=>110,"Titulo"=>"DOC.VENTA"),
						array("Tamano"=>10, "Titulo"=>"CTIP", "Alinear"=>"center"),
						array("Tamano"=>150,"Titulo"=>"TIPO PAGO"),
						array("Tamano"=>80, "Titulo"=>"NRO. PAGO"),
						array("Tamano"=>80, "Titulo"=>"FECHA", "Alinear"=>"center"),
						array("Tamano"=>80, "Titulo"=>"MONTO", "Alinear"=>"right")
					   );
		$Boton = array(0=>array(0 => array("Link"=>$Link, "Boton"=>"b_table_delete.png", "Permite"=>$_SESSION["_FDEL"], 
												"Mensaje"=>"Haga Click para <b>ELIMINAR</b> el Pago",
												"Click"=>"return confirm('¿ESTA SEGURO DE ELIMINAR ESTE PAGO?')"),
									1 => array("Campo"=>"opt","Valor"=>"ANUL", "Tipo"=>"IN"),
									2 => array("Campo"=>"valor","Valor" => 0)
									),
						   1=>array(0 => array("Link"=>$Link, "Boton"=>"b_table_edit.png",
												"Mensaje"=>"Haga Click para <b>MODIFICAR</b> el Pago"),
									1 => array("Campo"=>"opt","Valor"=>"EDIT", "Tipo"=>"IN"),
									2 => array("Campo"=>"valor","Valor" => 0)
									)							
						);
		echo $obj->SetGrid("98%",$rs_cab,$sql,NULL,2,NULL,NULL, NULL, "IZQ", $Boton);	
		}
	}
elseif($Opcion=="ANUL") {
		$Usr = (isset($_SESSION["_CUSE"]))  ? $_SESSION["_CUSE"] : "1";
		$sql = "call spMante_Pago_CxC_Anular($Valor, $Usr)";
		$obj->AbrirConexion();
		$obj->Query($sql);
		$obj->CerrarConexion();	
		echo "<script language='Javascript'>";
		echo "window.location='$Link'";
		echo "</script>\n";
		}
elseif($Opcion=="EDIT") {
	$sql = "select P.id_pago_cxc as CPAG, 
			P.id_cliente as CCLI, C.nombre as CLIENTE, 
			P.id_forma_pago as CTIP, TP.nombre as TIPO, P.nro_doc_pago as NPAGO, 
			date_format(P.fecha,'%d/%m/%Y') as FECHA, P.MONTO 
			from _sv_pago_cxc P 
			inner join _sv_tipo_pago TP ON P.id_forma_pago = TP.id_forma_pago 
			inner join _sv_cliente C ON P.id_cliente = C.id_cliente 
			where P._estado = 'A'
			and P.id_pago_cxc = $Valor;";
	$varTipo = (isset($_POST["tipo"]))?$_POST["tipo"]:NULL;
	$obj->AbrirConexion();
	$rs = $obj->Query($sql);
	$obj->CerrarConexion();
	$fila = $obj->FetchArray($rs);
	
	echo "<form name=\"formulario\" id=\"formulario\" method=\"post\" onSubmit=\"return validaRegistroPago(this)\">";
	echo "<table style=\"padding:0;margin-top:0px;border-collapse:collapse;\" ";
	echo "width=450 align=center cellpadding=0 cellspacing=0>";
	echo "<tr>";
	echo "<td height=25 colspan=2 valign=top align=\"center\" class=\"FormTitulo\">";
	echo "<input name=\"txtcod\" type=\"hidden\" id=\"txtcod\" value=\"$fila[CPAG]\" />";
	echo "$Titulo - ACTUALIZAR";	
	echo "</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td class=\"FormCampo1\" width=100>Cliente :</td>";
	echo "<td class=\"interior\" width=300>$fila[CCLI] - $fila[CLIENTE]</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td class=\"FormCampo1\">Tipo Pago :</td>";
	echo "<td class=\"interior\">$fila[CTIP] - $fila[TIPO]</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td class=\"FormCampo1\">Nro Pago :</td>";
	echo "<td class=\"interior\">$fila[NPAGO]</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td class=\"FormCampo1\">Fecha:</td>";
	echo "<td class=\"interior\">$fila[FECHA]</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td class=\"FormCampo1\">Monto :</td>";
	echo "<td class=\"interior\">".number_format($fila["MONTO"],"2",".",",")."</td>";
	echo "</tr>";
	echo "<tr>";
	echo "<td class=\"FormCampo1\">Nuevo Monto :</td>";
	echo "<td class=\"interior\">";
	echo "<input id=\"txtpago\" name=\"txtpago\" type=\"text\" style=\"width:100px;text-align:center\" onkeypress=\"return SoloNumeros(event)\" >";
	echo "</td>";
	echo "</tr>";
	/*
	echo "<tr>";
	echo "<td class=\"FormCampo1\">Observacion :</td>";
	echo "<td class=\"interior\">";
	echo "<textarea name=\"txtobs\" rows=\"5\" id=\"txtobs\" style=\"width:300px;\"></textarea>";
	echo "</td>";
	echo "</tr>";
	*/
	echo "<tr>";
	echo "<td height=25 colspan=10 valign=top aling=\"center\" class=\"FormTitulo\">";		
	echo "<input id=\"save\" name=\"save\" type=\"submit\" style=\"width:100px;height:22px;\" value=\"Registrar Pago\" ";
	echo "onClick=\"return confirm('¿DESEA GUARDAR ESTE PAGO?')\" >&nbsp;&nbsp;";
	echo "<input name=\"regresar\" type=\"button\" id=\"regresar\" style=\"width:100px; height:22px;\" ";
	echo "onClick=\"location='".$Link."'\" value=\"Regresar\">";
	echo "</td>";
	echo "</tr>";
	echo "</table>";	
	echo "</form>";		
	}
if(isset($_POST["save"])) {	
	$Usr = (isset($_SESSION["_CUSE"]))  ? $_SESSION["_CUSE"] : "1";
	$varFecha = FechaMySql($_POST[femi]);	
	$sql = "CALL spMante_Pago_CxC_Modificar($_POST[txtcod], $_POST[txtpago],  '', $Usr)";  
	$obj->AbrirConexion();
	$rs = $obj->Query($sql);
	$obj->CerrarConexion();
	echo "<script language='Javascript'>";
	echo "window.location='$Link'";
	echo "</script>\n";
	}
} 
?>